﻿using DotNetNote.Models;
using Microsoft.AspNet.Mvc;
using System;
using System.Collections.Generic;

namespace DotNetNote.Controllers
{
    public class DemoController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult ViewBagDemo()
        {
            ViewBag.Name = "박용준";
            ViewBag.Age = 21;
            ViewBag.원하는모든단어 = "모든 값...";

            // ViewBag.Address와 동일한 표현
            ViewData["Address"] = "세종시...";

            return View();
        }

        public IActionResult ViewWithModelDemo()
        {
            DemoModel dm = new DemoModel();
            dm.Id = 1;
            dm.Name = "홍길동";

            return View(dm); 
        }

        public IActionResult TempDataDemoStart()
        {
            TempData["Message"] = "TempDataDemoStart에서 만들어진 문자열";

            return View("TempDataDemo");
        }

        public IActionResult TempDataDemo()
        {
            return View();
        }





        public IActionResult JsonResultDemo()
        {
            return Json(new { Foo = "Bar" });
        }




        [HttpGet] // /Demo/FormPostDemo
        public IActionResult FormPostDemo()
        {
            return View();
        }

        [HttpPost] // /Demo/FormPostDemo
        public IActionResult FormPostDemo(string name, string content)
        {
            //ViewBag.Result = $"이름: {Request.Form["name"]}, 내용: {Request.Form["content"]}";
            ViewBag.Result = $"이름: {name}, 내용: {content}";

            return View();
        }









        public IActionResult RazorDemo()
        {
            return View();
        }








        public IActionResult HttpNotFoundResultDemo()
        {
            return new HttpNotFoundResult();
        }




        public IActionResult ContentResultDemo()
        {
            return Content("ContentResult 반환값");
        }



        public IActionResult MovieViewModelDemo()
        {
            List<MovieViewModel> vms = new List<MovieViewModel>() {
                new MovieViewModel { Id = 1, Title = "명량", CreationDate = new DateTime(2014, 1, 1) },
                new MovieViewModel { Id = 2, Title = "실미도", CreationDate = new DateTime(2003, 1, 1) },
                new MovieViewModel { Id = 3, Title = "베테랑", CreationDate = new DateTime(2015, 1, 1) }
            };

            return View(vms);
        }











        public IActionResult PagingHelperDemo()
        {

            return View();
        }






        public string SendMailDemo()
        {

            return "전송 완료";
        }




    }
}
