﻿using Microsoft.AspNet.Hosting;
using Microsoft.AspNet.Http;
using Microsoft.AspNet.Mvc;
using Microsoft.Net.Http.Headers;
using System.Collections.Generic;
using System.IO;

namespace DotNetNote.Controllers
{
    public class FileDemoController : Controller
    {
        private IHostingEnvironment _environment;

        public FileDemoController(IHostingEnvironment environment)
        {
            _environment = environment;
        }

        [HttpGet]
        public IActionResult FileUploadDemo()
        {
            return View();
        }

        [HttpPost]
        public IActionResult FileUploadDemo(ICollection<IFormFile> files) 
        {
            var uploadFolder = Path.Combine(_environment.WebRootPath, "files");

            foreach (var file in files)
            {
                if (file.Length > 0)
                {
                    var fileName = Path.GetFileName(ContentDispositionHeaderValue.Parse(
                        file.ContentDisposition).FileName.Trim('"'));
                    file.SaveAs(Path.Combine(uploadFolder, fileName));
                }
            }

            return View();
        }

        public FileResult FileDownloadDemo()
        {
            var fileName = "Test.txt";
            byte[] fileBytes = System.IO.File.ReadAllBytes(
                Path.Combine(_environment.WebRootPath, "files") + "\\" + fileName);

            //return File(fileBytes, System.Net.Mime.MediaTypeNames.Application.Octet, fileName);
            return File(fileBytes, "application/octet-stream", fileName);
        }
    }
}
